// Shader that curves the Minecraft world by daxnitro.

const float WORLD_RADIUS         = 2500.0;
const float WORLD_RADIUS_SQUARED = 6250000.0;

void main() {
	vec4 position = gl_ModelViewMatrix * gl_Vertex;
	
	if (gl_Color.a != 0.8) {
		// Not a cloud.
		
		float distanceSquared = position.x * position.x + position.z * position.z;
		
		position.y -= WORLD_RADIUS - sqrt(max(1.0 - distanceSquared / WORLD_RADIUS_SQUARED, 0.0)) * WORLD_RADIUS;
	}
	
	gl_Position = gl_ProjectionMatrix * position;

	gl_TexCoord[0] = gl_MultiTexCoord0;
		
	gl_FrontColor = gl_BackColor = gl_Color;
	
	gl_FogFragCoord = gl_Position.z;
}

